Subject: FVWM: FvwmCascade Question

From: [email-masked] (Martin Cartwright)
Date: Thu, 28 Nov 1996 10:07:36 GMT

I've been playing  around with FvwmCascade and FvwmTile, Tile is not of
much interest to me, but I can see situations where I might use Cascade...

BUT...

Is there currently a way of excluding windows other than making them 
untitled? Ideally I'd like all my sticky windows to be exempt as I've
put them where I want them to stay!

Cheers,

[email-masked] - http://star.pst.qub.ac.uk/~imc/vom.htm
-/-----------------------------------------------------------\-
|  "Who do you think you are, Wat Tyler? You can have the     |
|   day off when you die and not before."                     |
-\-----------------------------------------------------------/-
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Martin Cartwright)
Date: Thu, 28 Nov 1996 10:28:18 GMT

=> From [email-masked] Thu Nov 28 10:18:34 1996
=> Date: Thu, 28 Nov 1996 10:17:10 +0000
=> From: Nick Cross <[email-masked]>
=> To: Martin Cartwright <[email-masked]>
=> Subject: Re: FVWM: FvwmCascade Question
=> 
=> Martin Cartwright wrote:
=> > 
=> > I've been playing  around with FvwmCascade and FvwmTile, Tile is not of
=> > much interest to me, but I can see situations where I might use Cascade...
=> > 
=> > BUT...
=> > 
=> > Is there currently a way of excluding windows other than making them
=> > untitled? Ideally I'd like all my sticky windows to be exempt as I've
=> > put them where I want them to stay!
=> > 
=> 
=> Errrrr, it doesn't touch sticky windows unless you specify -a (!) Try 
=> removing that switch.
=> 
=> Nick
=> 
Errrrr.. yes it does! It doesn't touch _untitled_ windows.. But I've got an
xpostit window here that is cascading merrily away with the rest of them...

And there's nothing is the manpage about sticky windows...

[email-masked] - http://star.pst.qub.ac.uk/~imc/vom.htm
-/-----------------------------------------------------------\-
|   "One sweet buzz can make you feel how I feel,             |
|    One sweet love can make a mountain slide up the hill"    |
-\-----------------------------------------------------------/-

---

From: [email-masked] (Martin Cartwright)
Date: Thu, 28 Nov 1996 10:45:25 GMT

=> > => > Is there currently a way of excluding windows other than making them
=> > => > untitled? Ideally I'd like all my sticky windows to be exempt as I've
=> > => > put them where I want them to stay!
=> > => >
=> > =>
=> > => Errrrr, it doesn't touch sticky windows unless you specify -a (!) Try
=> > => removing that switch.
=> > =>
=> > => Nick
=> > =>
=> > Errrrr.. yes it does! It doesn't touch _untitled_ windows.. But I've got an
=> > xpostit window here that is cascading merrily away with the rest of them...
=> > 
=> > And there's nothing is the manpage about sticky windows...
=> > 
=> 
=> Hmmm. Okay what version have you got. I've got 0.8 which seems to work
=> okay? With
=>  Module FvwmCascade -sizeup -m 0 0 80 80
=> my sticky windows are ignored.... what have you got in your file?
=> Nick
=> 

I'm running 0.8 too, and I invoke it with 

FvwmCascade 100p 100p

I tried it with -sizeup and there was no change. (Incidentally, this is on
Solaris 2.5 on a Sun SPARC 5, fvwm 2.0.43 with applied titlebar and border-
style patches.) 

Do your sticky windows have titles? I have about four stickys on my screen
but only one of them has a title, and it's this one that is Cascading. 
My guess is (and If Andrew Veliath wants to jump in here go ahead) 
your stickys don't  have titles and so since you don't have the -u switch 
set, they are unaffected by Cascade. 

[email-masked] - http://star.pst.qub.ac.uk/~imc/vom.htm
-/-----------------------------------------------------------\-
|  	   "I keep falling over, I keep passing out,	      |
|	    When I see a face like you." 	   	      |
-\-----------------------------------------------------------/-
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: [email-masked] (Martin Cartwright)
Date: Thu, 28 Nov 1996 10:59:10 GMT

=> > I'm running 0.8 too, and I invoke it with
=> > 
=> > FvwmCascade 100p 100p
=> > 
=> > I tried it with -sizeup and there was no change. (Incidentally, this is on
=> > Solaris 2.5 on a Sun SPARC 5, fvwm 2.0.43 with applied titlebar and border-
=> > style patches.)
=> > 
=> > Do your sticky windows have titles? I have about four stickys on my screen
=> > but only one of them has a title, and it's this one that is Cascading.
=> > My guess is (and If Andrew Veliath wants to jump in here go ahead)
=> > your stickys don't  have titles and so since you don't have the -u switch
=> > set, they are unaffected by Cascade.
=> > 
 
=> Well, I just used Talk to set the style on my stickys to titles and they
=> still stick (!) However I'm running fvwm95 on Xterm running off an dec
=> alpha - dunno whether that will make a difference? Which subversion of
=> 0.8 - the beta? (27/11/96)
=> Stranger and stranger....
=> Nick
=> 

Er. Yes. The 27/11/96 version.. 

|  	      "Decline accelerates into prejudice"    	      |